"use strict";
class ListFilesCommand {
    constructor($devicesService, $stringParameter, $options) {
        this.$devicesService = $devicesService;
        this.$stringParameter = $stringParameter;
        this.$options = $options;
        this.allowedParameters = [this.$stringParameter];
    }
    execute(args) {
        return (() => {
            this.$devicesService.initialize({ deviceId: this.$options.device, skipInferPlatform: true }).wait();
            let action = (device) => { return (() => device.fileSystem.listFiles(args[0]).wait()).future()(); };
            this.$devicesService.execute(action).wait();
        }).future()();
    }
}
exports.ListFilesCommand = ListFilesCommand;
$injector.registerCommand("device|list-files", ListFilesCommand);
