"use strict";
class PlatformsData {
    constructor($androidProjectService, $iOSProjectService) {
        this.platformsData = {};
        this.platformsData = {
            ios: $iOSProjectService.platformData,
            android: $androidProjectService.platformData
        };
    }
    get platformsNames() {
        return Object.keys(this.platformsData);
    }
    getPlatformData(platform) {
        return this.platformsData[platform.toLowerCase()];
    }
    get availablePlatforms() {
        return {
            iOS: "ios",
            Android: "android"
        };
    }
}
exports.PlatformsData = PlatformsData;
$injector.register("platformsData", PlatformsData);
